/* IMPORT */
import Addon from './addon.js';
/* MAIN */
class Argument extends Addon {
    /* CONSTRUCTOR */
    constructor(bin, options) {
        super(bin);
        this.id = options.name;
        this.name = options.name;
        this.description = options.description;
        this.required = (options.name[0] === '<');
        this.variadic = options.name.includes('...');
        this.parse(options.name);
    }
    /* API */
    parse(name) {
        const re = /^\[[^\].]+(?:\.\.\.)?\]$|^<[^>.]+(?:\.\.\.)?>$/;
        const isValid = re.test(name);
        if (!isValid)
            this.bin.fail(`Invalid argument: "${name}"`);
    }
}
/* EXPORT */
export default Argument;
