import Addon from './addon';
import ChainableBinLocal from './chainable_bin_local';
import type Bin from './bin';
import type Command from './command';
import type { ArgumentOptions, CommandHandler, OptionOptions } from '../types';
declare class ChainableCommand extends Addon {
    protected command: Command;
    constructor(bin: Bin, command: Command);
    usage(usage: string): this;
    option(name: string, description: string, options?: Omit<OptionOptions, 'name' | 'description'>): this;
    argument(name: string, description: string, options?: Omit<ArgumentOptions, 'name' | 'description'>): this;
    action(handler: CommandHandler): ChainableBinLocal;
}
export default ChainableCommand;
