import Addon from './addon';
import Arguments from './arguments';
import Options from './options';
import Usage from './usage';
import type Bin from './bin';
import type { CommandHandler, CommandOptions } from '../types';
import type { ParsedArgs } from 'tiny-parse-argv';
declare class Command extends Addon {
    id: string;
    name: string;
    description: string;
    section: string;
    hidden: boolean;
    arguments: Arguments;
    options: Options;
    usage: Usage;
    handler?: CommandHandler;
    constructor(bin: Bin, options: CommandOptions);
    parse(name: string): void;
    run(options: ParsedArgs, argv: string[]): Promise<void>;
}
export default Command;
